//Kurzzeitwecker.h : header file for the Kurzzeitwecker project
//

#ifndef _KURZZEITWECKER_H_
#define _KURZZEITWECKER_H_

#ifndef __AVR_ATmega8__
#define __AVR_ATmega8__
#endif

#define __MCU_CLOCK_FREQUENCY__ _4.0000_MHz

#include <io.h>
#include <wdt.h>
#include <sleep.h>
#include <Interrupt.h>
#include <sig-avr.h>
#include <inttypes.h>
#include <delay.h>
#include <stdbool.h>

/////////////////////////////////////////////////////////////////////////////
//Kurzzeitwecker

#define CLOCK_MHZ 4
#define CLOCK_ADJUST 1002
#define sleep(X) delay((X), CLOCK_MHZ * CLOCK_ADJUST)
#define sleepus(X) _delay_loop_2((X) * CLOCK_MHZ / 4);

#define BUTTON_PORT PIND
#define BUTTON_PIN  2

#define BUTTON_ACTIVE (!bit_is_set(BUTTON_PORT, BUTTON_PIN))

#define TIMEOUT_NOPRESS_MS   2000
#define SINWAVE_VALUE_COUNT    21

#endif

extern int d;
